class Oj < Formula
  desc "JSON parser and visualization tool"
  homepage "https://github.com/ohler55/ojg"
  url "https://github.com/ohler55/ojg/archive/refs/tags/v1.25.0.tar.gz"
  sha256 "e2dd6bb6636321066c3923e5c3035058936eac43c6f4cc4d0d86ee5b9dfd76c4"
  license "MIT"
  head "https://github.com/ohler55/ojg.git", branch: "develop"

  depends_on "go" => :build

  def install
    system "go", "build", *std_go_args(ldflags: "-s -w -X main.version=v#{version}"), "./cmd/oj"
  end

  test do
    assert_equal "1\n", pipe_output("#{bin}/oj -z @.x", "{x:1,y:2}")
  end
end
